﻿@model Inchirieri.Models.Cars

@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<table id="cars" class="table table-bordered">
    <thead>
        <tr>
            <th>Model</th>
            <th>Registration Date</th>
            <th>Fuel Type</th>
            <th>No. of Seats</th>
            <th>Car Color</th>
            <th>Transmision Type</th>
            <th>Rent price</th>
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var car in ViewBag.cars)
        {
            <tr>
                <td>@car.Model</td>
                <td>@car.RegDate</td>
                <td>@car.Fuel</td>
                <td>@car.Seats</td>
                <td>@car.Color</td>
                <td>@car.Gearbox</td>
                <td>@car.Price</td>
                <td>
                    @if (User.IsInRole("Admin"))
                     {
                        <a id="edit-@car.Id" class="btn btn-primary" href="/cars/edit/@car.Id">Edit</a>
                        <a id="delete-@car.Id" class="btn btn-danger" href="/cars/delete/@car.Id">Delete</a>
                    }
                    else
                    {
                        <a id="view-@car.Id" class="btn btn-primary" href="/cars/view/@car.Id">View</a>
                        <a id="'rent-@car.Id" class="btn btn-success" href="/cars/rent/@car.Id">Rent</a>
                    }

                </td>
            </tr>
        }

    </tbody>
</table>
@if (User.IsInRole("Admin"))
 {
    <a class="btn btn-primary" href="/cars/add">Add</a>
 }
